DU11US(3)

SYNOPSIS
SUBROUTINE DU11US (A, MDA, M, N, UB, DB, MODE, NP, KRANK, KSURE, + H, W, EB, IR, IC)

NAME
du11us - Subsidiary to DULSIA

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (U11US-S, DU11US-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
This routine performs an LQ factorization of the matrix A using Householder transformations. Row and column pivots are chosen to reduce the growth of round-off and to help detect possible rank deficiency.

SEE ALSO
DULSIA

ROUTINES CALLED
DAXPY, DDOT, DNRM2, DSCAL, DSWAP, IDAMAX, ISWAP, XERMSG

REVISION HISTORY (YYMMDD)
810801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)